Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class ViewerDiagramFilter

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--biouml.editor.ViewerDiagramFilter

public class ViewerDiagramFilter
extends Option

Field Summary
`static int` | `ACTION_HIDE`
`static int` | `ACTION_HIGHLIGHT`

Constructor Summary
`ViewerDiagramFilter(Diagram diagram)`

Method Summary
`int` | `getAction()`
`Diagram` | `getDiagram()`
`Filter` | `getFilter()`
`Brush` | `getHighlightingBrush()`
`void` | `setAction(int action)`
`void` | `setFilter(Filter filter)`
`void` | `setHighlightingBrush(Brush brush)`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_HIDE

    public static int ACTION_HIDE

### ACTION_HIGHLIGHT

    public static int ACTION_HIGHLIGHT

Constructor Detail

### ViewerDiagramFilter

    public ViewerDiagramFilter(Diagram diagram)

Method Detail

### getAction

    public int getAction()

### getDiagram

    public Diagram getDiagram()

### getFilter

    public Filter getFilter()

### getHighlightingBrush

    public Brush getHighlightingBrush()

### setAction

    public void setAction(int action)

  some triks to use the same GeneNetDiagramFilters for hiding and highligting.

### setFilter

    public void setFilter(Filter filter)

### setHighlightingBrush

    public void setHighlightingBrush(Brush brush)

Association Links

to Class biouml.model.Diagram

to Class ru.biosoft.access.Filter

to Class ru.biosoft.graphics.Brush

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM